## wxHtmlTagsModule

This class provides easy way of filling wxHtmlWinParser's table of tag handlers. It is used almost exclusively together with the set of TAGS_MODULE_* macros

Derived from

wxModule

Include files

<wx/html/winpars.h>

See Also

Tag Handlers, wxHtmlTagHandler, wxHtmlWinTagHandler,

Members

wxHtmlTagsModule::FillHandlersTable

### wxHtmlTagsModule::FillHandlersTable

virtual void FillHandlersTable(wxHtmlWinParser *parser)

You must override this method. In most common case its body consists only of lines of the following type:

    parser -> AddTagHandler(new MyHandler);

I recommend using the TAGS_MODULE_* macros.

Paremeters

parser

Pointer to the parser that requested tables filling.